Name:           istack-commons
Version:        2.21
Release:        1
Summary:        Common code can be share between Glassfish projects
License:        CDDL-1.1 and GPLv2 with exceptions
URL:            http://istack-commons.java.net
Source0:        https://github.com/javaee/jaxb-istack-commons/archive/istack-commons-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  maven-local mvn(args4j:args4j) mvn(com.sun.codemodel:codemodel) mvn(com.sun:tools)
BuildRequires:  mvn(dom4j:dom4j) mvn(junit:junit) mvn(net.java:jvnet-parent:pom:) mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.ant:ant-junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven:maven-aether-provider) mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project) mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin) mvn(org.eclipse.aether:aether-util)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.testng:testng)
BuildRequires:  mvn(org.apache.maven.shared:file-management) mvn(org.eclipse.aether:aether-spi)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-http-lightweight) mvn(org.eclipse.aether:aether-impl)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)  mvn(org.eclipse.aether:aether-transport-wagon)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata) mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils) mvn(org.eclipse.aether:aether-connector-basic)
BuildRequires:  mvn(org.eclipse.aether:aether-transport-file)

%description
The Common Code between JAXP, JAXB, SAAJ, and JAX-WS projects.

%package maven-plugin
Summary:        The Maven Mojo for istack-commons
Provides:       maven-istack-commons-plugin = %{version}-%{release}
Obsoletes:      maven-istack-commons-plugin < %{version}-%{release}

%description maven-plugin
Maven-plugin contains the Maven Mojo for istack-commons.

%package -n import-properties-plugin
Summary:        istack-commons import properties plugin

%description -n import-properties-plugin
The Import-properties-plugin contains the istack-commons import properties for Maven Mojo.

%package buildtools
Summary:        istack-commons buildtools
Obsoletes:      istack-commons < %{version}-%{release}

%description buildtools
The buildtools contains the buildtools for istack-commons.

%package runtime
Summary:        istack-commons runtime
Obsoletes:      istack-commons < %{version}-%{release}

%description runtime
The runtime contains the runtime for istack-commons.

%package soimp
Summary:        istack-commons soimp
Obsoletes:      istack-commons < %{version}-%{release}

%description soimp
The soimp contains the soimp for istack-commons.

%package devel
Summary:        istack-commons test
Provides:       istack-commons-test = %{version}-%{release}
Obsoletes:      istack-commons-test < %{version}-%{release}

%description devel
The devel contains the test for istack-commons.

%package tools
Summary:        istack-commons tools
Obsoletes:      istack-commons < %{version}-%{release}

%description tools
This package contains istack-commons tools.

%package javadoc
Summary:        Javadoc for istack-commons

%description javadoc
The help  contains the API documentation for istack-commons.

%prep
%autosetup -n jaxb-istack-commons-istack-commons-%{version} -p1
find -name '*.class' -delete
find -name '*.jar' -delete
rm -rf jaxb-istack-commons-istack-commons-2.21/test/lib/*.zip 
rm -rf jaxb-istack-commons-istack-commons-2.21/runtime/lib/*.zip

%pom_remove_plugin org.glassfish.copyright:glassfish-copyright-maven-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin

%mvn_file com.sun.istack:istack-commons-buildtools istack-commons-buildtools istack-commons/istack-commons-buildtools
%mvn_file com.sun.istack:istack-commons-runtime istack-commons-runtime istack-commons/istack-commons-runtime
%mvn_file com.sun.istack:istack-commons-soimp istack-commons-soimp istack-commons/istack-commons-soimp
%mvn_file com.sun.istack:istack-commons-test istack-commons-test istack-commons/istack-commons-test
%mvn_file com.sun.istack:istack-commons-tools istack-commons-tools istack-commons/istack-commons-tools

%pom_remove_dep org.sonatype.sisu:sisu-inject-plexus import-properties-plugin
%pom_remove_dep com.sun:tools tools
%pom_add_dep com.sun:tools tools

%build
%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-istack-commons
%dir %{_javadir}/%{name}
%doc Licence.txt

%files -n istack-commons-maven-plugin -f .mfiles-istack-commons-maven-plugin
%doc Licence.txt

%files -n import-properties-plugin -f .mfiles-import-properties-plugin
%doc Licence.txt

%files buildtools -f .mfiles-istack-commons-buildtools
%doc Licence.txt

%files runtime -f .mfiles-istack-commons-runtime
%doc Licence.txt

%files soimp -f .mfiles-istack-commons-soimp
%doc Licence.txt

%files devel -f .mfiles-istack-commons-test
%doc Licence.txt

%files tools -f .mfiles-istack-commons-tools
%doc Licence.txt

%files javadoc -f .mfiles-javadoc
%doc Licence.txt

%changelog
* Wed Apr 15 2020 yaokai <yaokai13@huawei.com> - 2.21-1
- Package init
